def shift_response(d):
    def shift_dict(d_):
        d_k = list(map(int, d_.keys()))
        if not len(d_k):
            return d_

        d_k.sort()
        offset = d_k[0]-1

        d_res = {
            str(k - offset): d_[k]
            for k in d_k
            if (k in d_ and isinstance(d_[k], int))
        }

        return d_res

    if 'Analog' in d.keys():
        d.update({"Analog": shift_dict(d['Analog'])})

    if 'Integer' in d.keys():
        d.update({"Integer": shift_dict(d['Integer'])})

    if 'Digital' in d.keys():
        d.update({"Digital": shift_dict(d['Digital'])})

    return d
